Supercheck LogoSupercheck
Jobs API

List jobs

List all jobs in the current project with pagination.

GET
/api/jobs

Authorization

bearerAuth
AuthorizationBearer <token>

CLI token (sck_live_*) for full API access, or trigger key (sck_trigger_* / legacy job_*) for job trigger endpoint only.

In: header

Query Parameters

page?integer

Page number for pagination

Default1
Range1 <= value
limit?integer

Items per page

Default20
Range1 <= value <= 100

Response Body

application/json

application/json

curl -X GET "https://demo.supercheck.dev/api/jobs"
{
  "pagination": {
    "total": 0,
    "page": 0,
    "limit": 0,
    "totalPages": 0,
    "hasNextPage": true,
    "hasPrevPage": true
  },
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string",
      "description": "string",
      "cronSchedule": "string",
      "status": "pending",
      "alertConfig": {
        "enabled": true,
        "notificationProviders": [
          "497f6eca-6276-4993-bfeb-53cbbbba6f08"
        ],
        "alertOnFailure": true,
        "alertOnSuccess": true,
        "alertOnTimeout": true,
        "failureThreshold": 1,
        "recoveryThreshold": 1,
        "customMessage": "string"
      },
      "tests": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "name": "string",
          "title": "string",
          "description": "string",
          "priority": "low",
          "type": "browser",
          "script": "string",
          "projectId": "5a8591dd-4039-49df-9202-96385ba3eff8",
          "organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9",
          "tags": [
            {
              "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
              "name": "string",
              "color": "string"
            }
          ],
          "createdAt": "2019-08-24T14:15:22Z",
          "updatedAt": "2019-08-24T14:15:22Z"
        }
      ],
      "lastRun": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "status": "queued",
        "errorDetails": "string",
        "durationMs": 0,
        "startedAt": "2019-08-24T14:15:22Z",
        "completedAt": "2019-08-24T14:15:22Z"
      },
      "testCount": 0,
      "lastRunAt": "2019-08-24T14:15:22Z",
      "nextRunAt": "2019-08-24T14:15:22Z",
      "scheduledJobId": "string",
      "jobType": "playwright",
      "organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9",
      "projectId": "5a8591dd-4039-49df-9202-96385ba3eff8",
      "createdByUserId": "4d2aef9a-17b0-44e6-902e-616812033620",
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z"
    }
  ]
}
{
  "error": "Unauthorized"
}